<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" type="topic" style="task" id="files-select" xml:lang="ro">

  <info>
    <link type="guide" xref="files#faq"/>

    <credit type="author">
      <name>Shaun McCance</name>
      <email>shaunm@gnome.org</email>
    </credit>

    <revision pkgversion="3.6.0" version="0.2" date="2012-09-28" status="review"/>
    <revision pkgversion="3.13.92" date="2014-09-22" status="candidate"/>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Press <keyseq><key>Ctrl</key><key>S</key></keyseq> to select multiple
    files which have similar names.</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Daniel Șerbănescu</mal:name>
      <mal:email>daniel [at] serbanescu [dot] dk</mal:email>
      <mal:years>2016, 2019</mal:years>
    </mal:credit>
  </info>

  <title>Select files by pattern</title>

  <p>You can select files in a folder using a pattern on the file name.
  Press <keyseq><key>Ctrl</key><key>S</key></keyseq> to bring up the
  <gui>Select Items Matching</gui> window. Type in a pattern using
  common parts of the file names plus wild card characters. There are
  two wild card characters available:</p>

  <list style="compact">
    <item><p><file>*</file> matches any number of any characters, even
    no characters at all.</p></item>
    <item><p><file>?</file> matches exactly one of any character.</p></item>
  </list>

  <p>For example:</p>

  <list>
    <item><p>If you have an OpenDocument Text file, a PDF file, and an
    image that all have the same base name <file>Invoice</file>, select
    all three with the pattern</p>
    <example><p><file>Invoice.*</file></p></example></item>

    <item><p>If you have some photos that are named like
    <file>Vacation-001.jpg</file>, <file>Vacation-002.jpg</file>,
    <file>Vacation-003.jpg</file>; select them all with the pattern</p>
    <example><p><file>Vacation-???.jpg</file></p></example></item>

    <item><p>If you have photos as before, but you have edited some of them and
    added <file>-edited</file> to the end of the file name of the photos you
    have edited, select the edited photos with</p>
    <example><p><file>Vacation-???-edited.jpg</file></p></example></item>
  </list>

</page>
